/*=========================================
			Appendix Graphs
===========================================*/

*****************
* GINI index
***************

use gini_new, replace

levelsof c_code , local(cc)
foreach c in `cc'{
local i = `i'+ 1
local grapher `grapher' (line gini year if c_code == "`c'" & year<2000)

local b1	scatter  gini year if c_code == "`c'" & year==1999
local b2	msymbol(none) mlabel(c_code) mlabsize(small) mlabposition(3) 
local b3	mlabgap(minuscule) mlabcolor("black")
local b4	`b4' (`b1' , `b2' `b3')

local labeling  `labeling' lab(`i' "`c'")
 }

 twoway `grapher' `b4', xtitle("Year") ytitle("Gini index") /// 
 legend(off) name(gini, replace)   scheme(s2mono)

 
 
********************************** 
* Productivity (chain index)
**********************************
 
 use gdp,clear
 
 * Country labels should be adjusted manually
 
 local cc "BGR CZE EST HUN POL ROM RUS SVN UKR"
foreach c in `cc'{
local i = `i'+ 1
local grapher `grapher' (line chain year if c_code == "`c'")

local b1	scatter  chain year if c_code == "`c'" & year==2013
local b2	msymbol(none) mlabel(c_code) mlabsize(small) mlabposition(3) mlabgap(minuscule) mlabcolor("black")
local b3	`b3' (`b1' , `b2')

local labeling  `labeling' lab(`i' "`c'")
 }

twoway `grapher' `b3',  xtitle("Year") ytitle("Productivity (avg. 1980=100)") /// 
legend(off)  scheme(s2mono) name(chain, replace) ///
    
 

***************************************************
* Relation Literature to Life in Transition Survey
***************************************************


quiet cret li

cd "`r(cmd)'"

cd "..\Data"

use meta_reall, clear

local all_sect own_1==1 & own_2==1 & own_3==1 & own_4==1 & own_5==1 
local all_ind manufacturing==1 & service ==1 & large==1

collapse (p50) jc jd  (first) c_code if `all_sect' & `all_ind', by(year c_n)
drop if jc==.

merge 1:1 c_code year using flows_lits


scatter jc hire if jc<38|| lfit jc hire if jc<38 , legend(off)  ///
		xtitle("Life in Transition Survey - Hirings") scheme(s2mono) ///
		ytitle("Literature - Job creation") title("") name(jc, replace)
		
		
scatter jd sep if jd<38 || lfit jd sep if jd<38, legend(off) ///
		xtitle("Life in Transition Survey - Separations") scheme(s2mono) ///
		ytitle("Literature - Job destruction") title("") name(jd, replace)
		
		
		
		
		