				******************************
				**			Table 4			**
				******************************
				
				
use gdp, clear
 
merge 1:1 c_code year using gini_new	
drop _merge

merge 1:m c_code year using meta_reall	
drop if _merge==1



* Columns 1 - 3 
global restrict " year<2001"
global xvars 	"only_pub only_man only_large only_small sep_hir "
global boots  	"vce(boot, r(1000))"	
global x 		"i.c_n  i.year  i.gap"


foreach lhs in gini prod chain{
local i = `i' +1
	foreach rhs in  jc jd gross net excess {
		reg `lhs' `rhs' $x  if $restrict , $boots
		est store `lhs'_`rhs'_all
		reg `lhs' `rhs' $x  if $restrict & sep_hir ==0 , $boots
		est store `lhs'_`rhs'_nosep_hir
		reg `lhs' `rhs' $x  if $restrict & sep_hir ==1 , $boots
		est store `lhs'_`rhs'_only_hir

	}
	}


* Columns 4-5 
foreach rhs in jc jd  gross net excess  {

reg `rhs' i.number i.gap $xvars if $restrict  
capture drop `rhs'_res
predict `rhs'_res if e(sample) , residuals

foreach lhs in prod  gini  chain{

reg  `lhs' `rhs'_res if $restrict , $boots
estimates store `lhs'_`rhs'_1

reg  `lhs' `rhs'_res  $x   if $restrict , $boots
estimates store `lhs'_`rhs'_2


}
}
//


* OUTPUT: Columns 1-5

* Table 4
* Productivity growth	
estimates table gdp_eg_jc_all gdp_eg_jc_only_hir gdp_eg_jc_nosep_hir gdp_eg_jc_1 gdp_eg_jc_2, keep(jc) ///
				b(%9.3f) se(%9.3f) stat(r2 N)	
estimates table gdp_eg_jd_all gdp_eg_jd_only_hir gdp_eg_jd_nosep_hir gdp_eg_jd_1 gdp_eg_jd_2, keep(jd) ///
				b(%9.3f) se(%9.3f) stat(r2 N)
* Gini index				
estimates table gini_jc_all gini_jc_only_hir gini_jc_nosep_hir gini_jc_1 gini_jc_2, keep(jc) ///
				b(%9.3f) se(%9.3f) stat(r2 N)	
estimates table gini_jd_all gini_jd_only_hir gini_jd_nosep_hir gini_jd_1 gini_jd_2, keep(jd) ///
				b(%9.3f) se(%9.3f) stat(r2 N)


* Table E.1
* Productivity growth	
estimates table prod_gross_all prod_gross_nosep_hir prod_gross_only_hir  gdp_eg_gross_1 gdp_eg_gross_2, keep(gross) ///
				b(%9.3f) se(%9.2f) stat(r2 N)	
estimates table prod_net_all  prod_net_nosep_hir prod_net_only_hir gdp_eg_net_1 gdp_eg_net_2, keep(net) ///
				b(%9.3f) se(%9.2f) stat(r2 N)				
estimates table prod_excess_all prod_excess_nosep_hir prod_excess_only_hir gdp_eg_excess_1 gdp_eg_excess_2 , keep(excess) ///
				b(%9.3f) se(%9.2f) stat(r2 N)				
* Gini index				
estimates table gini_gross_all gini_gross_nosep_hir gini_gross_only_hir gini_gross_1 gini_gross_2, keep(gross) ///
				b(%9.3f) se(%9.2f) stat(r2 N)	
estimates table gini_net_all gini_net_nosep_hir gini_net_only_hir gini_net_1 gini_net_2, keep(net) ///
				b(%9.3f) se(%9.2f) stat(r2 N)				
estimates table gini_excess_all gini_excess_nosep_hir gini_excess_only_hir gini_excess_1 gini_excess_2, keep(excess) ///
				b(%9.3f) se(%9.2f) stat(r2 N)

* Table E.2
* Productivity growth	
estimates table chain_jc_all chain_jc_only_hir chain_jc_nosep_hir chain_jc_1 chain_jc_2, keep(jc) ///
				b(%9.3f) se(%9.3f) stat(r2 N)	
estimates table chain_jd_all chain_jd_only_hir chain_jd_nosep_hir chain_jd_1 chain_jd_2, keep(jd) ///
				b(%9.3f) se(%9.3f) stat(r2 N)
estimates table prod_gross_all prod_gross_nosep_hir prod_gross_only_hir chain_gross_1 chain_gross_2, keep(gross) ///
				b(%9.3f) se(%9.2f) stat(r2 N)	
estimates table prod_net_all  prod_net_nosep_hir prod_net_only_hir chain_net_1 chain_net_2, keep(net) ///
				b(%9.3f) se(%9.2f) stat(r2 N)				
estimates table prod_excess_all prod_excess_nosep_hir prod_excess_only_hir chain_excess_1 chain_excess_2, keep(excess) ///
				b(%9.3f) se(%9.2f) stat(r2 N)		


* Columns 6-10 (Life in Transition Survey)
 

use flows_lits, clear

merge 1:1 c_code year using gdp  
drop _merge

merge 1:1 c_code year using gini_vshort 
drop _merge

cd "..\do_files"

replace lit = 0 if lit ==.
capture drop c_lit
egen c_lit = max(lit) , by(c_code)


* Countries absent in the LiTS
drop if c_code=="TKM"| c_code =="YUG"
drop if c_n==.


egen aux = min(c_n), by(c_code)
replace c_n = aux if c_n==.
 

* Countries & years for which we have information on flows
gen sep_hir = 0 
replace sep_hir=1 if c_code=="CZE" & year >1993 & year <1999
replace sep_hir=1 if c_code=="EST" & year >1989 & year <1995
replace sep_hir=1 if c_code=="POL" & year == 1994
replace sep_hir=1 if c_code=="RUS" & year >1990 & year <1999

* Countries for which we have some date
gen c_lit2 = 1 if c_code=="CZE" | c_code=="EST" | c_code=="POL" | c_code=="RUS" 
replace c_lit2 = 0 if c_lit2==.

gen gross = hire +sep
gen net = abs(hire-sep)
gen excess = gross - net


global rest_6 year >=1990 & year <2000 & sep_hir==1 & c_code !="SVK" 
global rest_7 year >=1990 & year <2000 & c_lit2==1 & c_code!="SVK"
global rest_8 year >=1990 & year <2000 & sep_hir==0 &  lit==1 & c_code !="SVK"
global rest_9 year >=1990 & year <2000 & sep_hir==0 &  c_lit==1 & c_code !="SVK"
global rest_10 year >=1990 & year <2000

xtset c_n year

foreach lhs in prod gini chain{
foreach rhs in hire sep  gross net excess {

xi: xtreg `lhs' `rhs'  if $rest_6, fe  
est store `lhs'_`rhs'_6

xi: xtreg `lhs' `rhs'  if $rest_7, fe  
est store `lhs'_`rhs'_7

xi: xtreg `lhs' `rhs'  if $rest_8, fe   
est store `lhs'_`rhs'_8

xi: xtreg `lhs' `rhs'  if $rest_9, fe  
est store `lhs'_`rhs'_9

xi: xtreg `lhs' `rhs'   if $rest_10, fe 
est store `lhs'_`rhs'_10
}
}



* OUTPUT: Life in transition Survey

*   Table 4
local format1 "b(%9.3f) se(%9.3f) stat(r2 N)"

* Productivity growth
estimates table prod_hire_6 prod_hire_7 prod_hire_8 prod_hire_9 prod_hire_10, keep(hire) `format1'
estimates table prod_sep_6 prod_sep_7 prod_sep_8 prod_sep_9 prod_sep_10, keep(sep) `format1'
* Gini index
estimates table gini_hire_6 gini_hire_7 gini_hire_8 gini_hire_9 gini_hire_10, keep(hire)  `format1'
estimates table gini_sep_6 gini_sep_7 gini_sep_8 gini_sep_9 gini_sep_10, keep(sep)  `format1'

*	Table E.1
local format2 "b(%9.2f) se(%9.2f) stat(r2 N)"

* Productivity growth
estimates table prod_gross_6 prod_gross_7 prod_gross_8 prod_gross_9 prod_gross_10, keep(gross) `format2'
estimates table prod_net_6 prod_net_7 prod_net_8 prod_net_9 prod_net_10, keep(net) `format2'
estimates table prod_excess_6 prod_excess_7 prod_excess_8 prod_excess_9 prod_excess_10, keep(excess) `format2'
* Gini index
estimates table gini_gross_6 gini_gross_7 gini_gross_8 gini_gross_9 gini_gross_10, keep(gross) `format2'
estimates table gini_net_6 gini_net_7 gini_net_8 gini_net_9 gini_net_10, keep(net) `format2'
estimates table gini_excess_6 gini_excess_7 gini_excess_8 gini_excess_9 gini_excess_10, keep(excess) `format2'
		

*	Table E.2	
estimates table chain_hire_6 chain_hire_7 chain_hire_8 chain_hire_9 chain_hire_10, keep(hire) `format2'
estimates table chain_sep_6 chain_sep_7 chain_sep_8 chain_sep_9 chain_sep_10, keep(sep) `format2'
estimates table chain_gross_6 chain_gross_7 chain_gross_8 chain_gross_9 chain_gross_10, keep(gross) `format2'
estimates table chain_net_6 chain_net_7 chain_net_8 chain_net_9 chain_net_10, keep(net) `format2'
estimates table chain_excess_6 chain_excess_7 chain_excess_8 chain_excess_9 chain_excess_10, keep(excess) `format2'
